adf00e139f
- fix initramfs creation on noexec tmpdir Resolves: rhbz#953426 - more options for lsinitrd - bash completion for lsinitrd - do not output debug information on initramfs creation, if rd.debug is on the kernel command line - drop requirement on 'file', lsinitrd can find the magic on its own
22 lines
670 B
Diff
22 lines
670 B
Diff
From 2b125c69cc80baae765a868992003ddd349a7ae9 Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@redhat.com>
|
|
Date: Thu, 18 Apr 2013 12:54:30 +0200
|
|
Subject: [PATCH] base/dracut-lib.sh: do not setdebug, if not in initramfs
|
|
|
|
---
|
|
modules.d/99base/dracut-lib.sh | 1 +
|
|
1 file changed, 1 insertion(+)
|
|
|
|
diff --git a/modules.d/99base/dracut-lib.sh b/modules.d/99base/dracut-lib.sh
|
|
index 9f4b2d2..ae79a82 100755
|
|
--- a/modules.d/99base/dracut-lib.sh
|
|
+++ b/modules.d/99base/dracut-lib.sh
|
|
@@ -325,6 +325,7 @@ splitsep() {
|
|
}
|
|
|
|
setdebug() {
|
|
+ [ -f /etc/initrd-release ] || return
|
|
if [ -z "$RD_DEBUG" ]; then
|
|
if [ -e /proc/cmdline ]; then
|
|
RD_DEBUG=no
|